diff a/test/jdk/jdk/incubator/vector/templates/Perf-Reduction-op.template b/test/jdk/jdk/incubator/vector/templates/Perf-Reduction-op.template
--- /dev/null
+++ b/test/jdk/jdk/incubator/vector/templates/Perf-Reduction-op.template
@@ -0,0 +1,15 @@
+
+    @Benchmark
+    public void [[TEST]][[TEST_TYPE]][[OP_NAME]]Lanes(Blackhole bh) {
+        $type$[] a = fa.apply(SPECIES.length());
+        $type$ ra = [[TEST_INIT]];
+
+        for (int ic = 0; ic < INVOC_COUNT; ic++) {
+            ra = [[TEST_INIT]];
+            for (int i = 0; i < a.length; i += SPECIES.length()) {
+                $abstractvectortype$ av = $abstractvectortype$.fromArray(SPECIES, a, i);
+                ra [[TEST_OP]]= av.reduceLanes(VectorOperators.[[TEST]]);
+            }
+        }
+        bh.consume(ra);
+    }
